{% extends 'base.html.twig' %}

{% block title %}Temáticas{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="../assets/main.css">
    <link rel="stylesheet" href="../../assets/main.css">
{% endblock%}
{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>
    <div class="example-wrapper">
        <h1>Temáticas y subtemáticas</h1>
    </div>

    <div class="drops_div">
        <div class="dropdown" style="display:block">
            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownTematicasButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Todas las Temáticas Generales
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownTematicasButton">
                {% for tematica in tematicas %}
                    <a class="dropdown-item" href="{{path('tematicas_muestra',{'id':tematica.idTematica})}}">{{tematica.tematica}}</a>
                {% endfor %}
            </div>
            <br>
        </div>

        <div class="dropdown">
            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownsubtematicasButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Todas las Subtemáticas
            </button>
            <div class="dropdown-menu" aria-labelledby="dropdownsubtematicasButton">
                {% for subtematica in subtematicas %}
                    <a class="dropdown-item" href="{{path('tematicas_muestra',{'id':subtematica.idTematica})}}">{{subtematica.tematica}}</a>
                {% endfor %}
            </div>
        </div>
    </div>
    {% if  nombre_tematica is defined %}
        <h4 class="titulo">{{nombre_tematica}}</h4>
    {% endif %}
        {% if subtematicas_sel is not empty %}
            <div class="list-group" id="lista_subtematicas">
                <a id="subtema-head" href="#" class="list-group-item list-group-item-action active">
                subtemáticas {{nombre_tematica}}
                </a>
            {% for subtematica_sel in subtematicas_sel %}
                <a href="{{path('tematicas_muestra',{'id':subtematica_sel.idTematica})}}" class="list-group-item list-group-item-action subtema">{{subtematica_sel.tematica}}</a>
            {% endfor %}
            </div> 
        {% endif %}
    <div class="container">
        {% if libros is defined %}
            {% for libro in libros %}

                <div class="card" style="width: 18rem;">
                    <img src="data:image/jpg;base64,{{fotos[libro.idLibro]}}" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">{{libro.titulo}}</h5>
                        <p class="card-text">
                        <ul>
                            <li>Autor:
                                {% for autor in libro.idAutor %}
                                    {{autor.autor}}
                                {% endfor %}    
                            </li>
                            <li>Editorial:
                                {{libro.idEditorial.editorial}}
                            </li>
                            <li>Año Publicación: {{libro.anio}}</li>
                        </ul>
                        </p>
                        <a href="{{path('libro_detail',{'id':libro.idLibro})}}" class="btn btn-primary">Ver detalles</a>
                    </div>
                </div>
            {% endfor %}
        {% endif %}
    </div>      
    
{% endblock %}
{% block javascripts %}
<script>     
        $(".subtema").hide();
        $("#subtema-head").click(function(){
            
            $(".subtema").fadeToggle(400);
        });
 </script>        
{% endblock %}
